API reference

Call & Chat Injections

2 endpoints. Add your API key in the authentication panel to send test requests from this page.

Inject speech into a call session

POST/api/external/v1/call-rows/{rowId}/inject

Allows external systems to inject text-to-speech content or trigger response generation in an active call.

Parameters

  • rowIdstring (uuid)pathRequired

Request body application/json

  • textstring
  • modestring

Responses

  • 200Speech injection successfully triggered
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Inject message into a chat session

POST/api/external/v1/chat-sessions/{sessionId}/inject

Injects a customer, assistant, or system message directly into an active chat session.

Parameters

  • sessionIdstring (uuid)pathRequired

Request body application/json

  • textstring
  • rolestring
  • triggerResponseboolean

Responses

  • 200Message successfully injected
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found